searchData={"items":[{"type":"module","title":"Poolder","doc":"Documentation for `Poolder`.","ref":"Poolder.html"},{"type":"function","title":"Poolder.call/3","doc":"Calls a function on a pooler process.","ref":"Poolder.html#call/3"},{"type":"function","title":"Examples - Poolder.call/3","doc":"iex> Poolder.call(pid, data, 1000)\n    {:ok, result}","ref":"Poolder.html#call/3-examples"},{"type":"behaviour","title":"Poolder.Batcher","doc":"","ref":"Poolder.Batcher.html"},{"type":"callback","title":"Poolder.Batcher.handle_batch/2","doc":"","ref":"Poolder.Batcher.html#c:handle_batch/2"},{"type":"callback","title":"Poolder.Batcher.handle_hibernate/1","doc":"","ref":"Poolder.Batcher.html#c:handle_hibernate/1"},{"type":"callback","title":"Poolder.Batcher.handle_init/1","doc":"","ref":"Poolder.Batcher.html#c:handle_init/1"},{"type":"behaviour","title":"Poolder.Dispatcher","doc":"","ref":"Poolder.Dispatcher.html"},{"type":"callback","title":"Poolder.Dispatcher.broadcast/2","doc":"","ref":"Poolder.Dispatcher.html#c:broadcast/2"},{"type":"callback","title":"Poolder.Dispatcher.call/3","doc":"","ref":"Poolder.Dispatcher.html#c:call/3"},{"type":"callback","title":"Poolder.Dispatcher.call/4","doc":"","ref":"Poolder.Dispatcher.html#c:call/4"},{"type":"callback","title":"Poolder.Dispatcher.cast/2","doc":"","ref":"Poolder.Dispatcher.html#c:cast/2"},{"type":"callback","title":"Poolder.Dispatcher.cast/3","doc":"","ref":"Poolder.Dispatcher.html#c:cast/3"},{"type":"callback","title":"Poolder.Dispatcher.count/1","doc":"","ref":"Poolder.Dispatcher.html#c:count/1"},{"type":"callback","title":"Poolder.Dispatcher.count_all/0","doc":"","ref":"Poolder.Dispatcher.html#c:count_all/0"},{"type":"callback","title":"Poolder.Dispatcher.list/1","doc":"","ref":"Poolder.Dispatcher.html#c:list/1"},{"type":"callback","title":"Poolder.Dispatcher.list_all/0","doc":"","ref":"Poolder.Dispatcher.html#c:list_all/0"},{"type":"module","title":"Poolder.Dispatcher.Default","doc":"","ref":"Poolder.Dispatcher.Default.html"},{"type":"function","title":"Poolder.Dispatcher.Default.broadcast/2","doc":"Sends a message to all registered pids in a group","ref":"Poolder.Dispatcher.Default.html#broadcast/2"},{"type":"function","title":"Poolder.Dispatcher.Default.call/3","doc":"Sends a synchronous call to a specific pid","ref":"Poolder.Dispatcher.Default.html#call/3"},{"type":"function","title":"Poolder.Dispatcher.Default.call/4","doc":"Performs a guarded call to a pid under specific group","ref":"Poolder.Dispatcher.Default.html#call/4"},{"type":"function","title":"Poolder.Dispatcher.Default.cast/2","doc":"Sends an asynchronous message to a specific pid","ref":"Poolder.Dispatcher.Default.html#cast/2"},{"type":"function","title":"Poolder.Dispatcher.Default.cast/3","doc":"Sends a guarded asynchronous message to a pid in a group","ref":"Poolder.Dispatcher.Default.html#cast/3"},{"type":"function","title":"Poolder.Dispatcher.Default.count/1","doc":"Returns the number of active workers in the given group","ref":"Poolder.Dispatcher.Default.html#count/1"},{"type":"function","title":"Poolder.Dispatcher.Default.count_all/0","doc":"Returns the number of active workers in all groups","ref":"Poolder.Dispatcher.Default.html#count_all/0"},{"type":"function","title":"Poolder.Dispatcher.Default.list/1","doc":"Returns a list of all active workers in the given group","ref":"Poolder.Dispatcher.Default.html#list/1"},{"type":"function","title":"Poolder.Dispatcher.Default.list_all/0","doc":"Returns a list of all active workers and their groups","ref":"Poolder.Dispatcher.Default.html#list_all/0"},{"type":"module","title":"Poolder.DynamicSupervisor","doc":"","ref":"Poolder.DynamicSupervisor.html"},{"type":"function","title":"Poolder.DynamicSupervisor.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"Poolder.DynamicSupervisor.html#child_spec/1"},{"type":"function","title":"Poolder.DynamicSupervisor.init/1","doc":"Callback implementation for  DynamicSupervisor.init/1 .","ref":"Poolder.DynamicSupervisor.html#init/1"},{"type":"function","title":"Poolder.DynamicSupervisor.start_link/2","doc":"","ref":"Poolder.DynamicSupervisor.html#start_link/2"},{"type":"module","title":"Poolder.Ets","doc":"","ref":"Poolder.Ets.html"},{"type":"function","title":"Poolder.Ets.new/2","doc":"Creates a new ETS table if it does not exist.","ref":"Poolder.Ets.html#new/2"},{"type":"behaviour","title":"Poolder.FactoryPool","doc":"Dynamic pool of grouped processes with fast lookup by group or pid.","ref":"Poolder.FactoryPool.html"},{"type":"behaviour","title":"Usage examples - Poolder.FactoryPool","doc":"# Start a worker under group :http\n  Poolder.FactoryPool.start_child(:http, {MyWorker, args})\n\n  # Synchronous call to specific pid\n  Poolder.FactoryPool.call(pid, :ping)\n\n  # Async message to a specific pid\n  Poolder.FactoryPool.cast(pid, :refresh)\n\n  # Broadcast to all workers in a group\n  Poolder.FactoryPool.broadcast(:http, :reload)\n\n  # Count active workers in a group\n  Poolder.FactoryPool.count(:http)","ref":"Poolder.FactoryPool.html#module-usage-examples"},{"type":"callback","title":"Poolder.FactoryPool.start_child/2","doc":"","ref":"Poolder.FactoryPool.html#c:start_child/2"},{"type":"callback","title":"Poolder.FactoryPool.terminate/1","doc":"","ref":"Poolder.FactoryPool.html#c:terminate/1"},{"type":"callback","title":"Poolder.FactoryPool.terminate_group/1","doc":"","ref":"Poolder.FactoryPool.html#c:terminate_group/1"},{"type":"behaviour","title":"Poolder.Monitor","doc":"","ref":"Poolder.Monitor.html"},{"type":"callback","title":"Poolder.Monitor.handle_down/2","doc":"","ref":"Poolder.Monitor.html#c:handle_down/2"},{"type":"callback","title":"Poolder.Monitor.handle_hibernate/1","doc":"","ref":"Poolder.Monitor.html#c:handle_hibernate/1"},{"type":"callback","title":"Poolder.Monitor.handle_init/1","doc":"","ref":"Poolder.Monitor.html#c:handle_init/1"},{"type":"module","title":"Poolder.Monitor.Default","doc":"","ref":"Poolder.Monitor.Default.html"},{"type":"function","title":"Poolder.Monitor.Default.child_spec/1","doc":"","ref":"Poolder.Monitor.Default.html#child_spec/1"},{"type":"function","title":"Poolder.Monitor.Default.handle_down/2","doc":"Called when a monitored process goes down.","ref":"Poolder.Monitor.Default.html#handle_down/2"},{"type":"function","title":"Poolder.Monitor.Default.handle_hibernate/1","doc":"Called when the monitor hibernates.","ref":"Poolder.Monitor.Default.html#handle_hibernate/1"},{"type":"function","title":"Poolder.Monitor.Default.handle_init/1","doc":"Called when the monitor starts.","ref":"Poolder.Monitor.Default.html#handle_init/1"},{"type":"function","title":"Poolder.Monitor.Default.loop/2","doc":"","ref":"Poolder.Monitor.Default.html#loop/2"},{"type":"function","title":"Poolder.Monitor.Default.monitor/1","doc":"","ref":"Poolder.Monitor.Default.html#monitor/1"},{"type":"function","title":"Poolder.Monitor.Default.start/1","doc":"","ref":"Poolder.Monitor.Default.html#start/1"},{"type":"function","title":"Poolder.Monitor.Default.start_link/1","doc":"","ref":"Poolder.Monitor.Default.html#start_link/1"},{"type":"behaviour","title":"Poolder.Pooler","doc":"","ref":"Poolder.Pooler.html"},{"type":"callback","title":"Poolder.Pooler.handle_init/1","doc":"","ref":"Poolder.Pooler.html#c:handle_init/1"},{"type":"behaviour","title":"Poolder.Scheduler","doc":"","ref":"Poolder.Scheduler.html"},{"type":"callback","title":"Poolder.Scheduler.handle_error/4","doc":"","ref":"Poolder.Scheduler.html#c:handle_error/4"},{"type":"callback","title":"Poolder.Scheduler.handle_hibernate/1","doc":"","ref":"Poolder.Scheduler.html#c:handle_hibernate/1"},{"type":"module","title":"Poolder.Supervisor","doc":"","ref":"Poolder.Supervisor.html"},{"type":"function","title":"Poolder.Supervisor.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"Poolder.Supervisor.html#child_spec/1"},{"type":"function","title":"Poolder.Supervisor.start_link/2","doc":"","ref":"Poolder.Supervisor.html#start_link/2"},{"type":"module","title":"Poolder.Tasker","doc":"","ref":"Poolder.Tasker.html"},{"type":"function","title":"Poolder.Tasker.await/2","doc":"","ref":"Poolder.Tasker.html#await/2"},{"type":"function","title":"Poolder.Tasker.callback/2","doc":"","ref":"Poolder.Tasker.html#callback/2"},{"type":"function","title":"Poolder.Tasker.callback/3","doc":"","ref":"Poolder.Tasker.html#callback/3"},{"type":"function","title":"Poolder.Tasker.child_spec/1","doc":"","ref":"Poolder.Tasker.html#child_spec/1"},{"type":"function","title":"Poolder.Tasker.execute/2","doc":"","ref":"Poolder.Tasker.html#execute/2"},{"type":"function","title":"Poolder.Tasker.loop/4","doc":"","ref":"Poolder.Tasker.html#loop/4"},{"type":"function","title":"Poolder.Tasker.start/1","doc":"","ref":"Poolder.Tasker.html#start/1"},{"type":"function","title":"Poolder.Tasker.start_link/1","doc":"","ref":"Poolder.Tasker.html#start_link/1"},{"type":"function","title":"Poolder.Tasker.stop/1","doc":"","ref":"Poolder.Tasker.html#stop/1"},{"type":"behaviour","title":"Poolder.Worker","doc":"","ref":"Poolder.Worker.html"},{"type":"callback","title":"Poolder.Worker.handle_call/3","doc":"","ref":"Poolder.Worker.html#c:handle_call/3"},{"type":"callback","title":"Poolder.Worker.handle_error/4","doc":"","ref":"Poolder.Worker.html#c:handle_error/4"},{"type":"callback","title":"Poolder.Worker.handle_hibernate/1","doc":"","ref":"Poolder.Worker.html#c:handle_hibernate/1"},{"type":"callback","title":"Poolder.Worker.handle_init/1","doc":"","ref":"Poolder.Worker.html#c:handle_init/1"},{"type":"callback","title":"Poolder.Worker.handle_job/2","doc":"","ref":"Poolder.Worker.html#c:handle_job/2"},{"type":"callback","title":"Poolder.Worker.terminate/2","doc":"","ref":"Poolder.Worker.html#c:terminate/2"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}